package ink.wgink.module.activiti.pojo.vos.oa.nodemanage.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 按钮与流程节点
 * @Author: WenG
 * @Date: 2022/3/17 19:51
 * @Version: 1.0
 **/
@ApiModel
public class NodeFormButtonVO {

    @ApiModelProperty(name = "btnAttachment", value = "附件上传按钮")
    private Integer btnAttachment;
    @ApiModelProperty(name = "btnGoBack", value = "回退按钮")
    private Integer btnGoBack;
    @ApiModelProperty(name = "btnForcedEnd", value = "强制结束按钮")
    private Integer btnForcedEnd;
    @ApiModelProperty(name = "btnPrint", value = "打印按钮")
    private Integer btnPrint;
    @ApiModelProperty(name = "btnCc", value = "抄送按钮")
    private Integer btnCc;

    public Integer getBtnAttachment() {
        return btnAttachment == null ? 0 : btnAttachment;
    }

    public void setBtnAttachment(Integer btnAttachment) {
        this.btnAttachment = btnAttachment;
    }

    public Integer getBtnGoBack() {
        return btnGoBack == null ? 0 : btnGoBack;
    }

    public void setBtnGoBack(Integer btnGoBack) {
        this.btnGoBack = btnGoBack;
    }

    public Integer getBtnForcedEnd() {
        return btnForcedEnd == null ? 0 : btnForcedEnd;
    }

    public void setBtnForcedEnd(Integer btnForcedEnd) {
        this.btnForcedEnd = btnForcedEnd;
    }

    public Integer getBtnPrint() {
        return btnPrint == null ? 0 : btnPrint;
    }

    public void setBtnPrint(Integer btnPrint) {
        this.btnPrint = btnPrint;
    }

    public Integer getBtnCc() {
        return btnCc == null ? 0 : btnCc;
    }

    public void setBtnCc(Integer btnCc) {
        this.btnCc = btnCc;
    }
}